Subject: RE: [nemo] NAT/PAT transfersal over IPv4 networks

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Thu, 5 Aug 2004 06:41:00 +0200

Hi Tim:

The IETF effort for doors stopped at v01 and is available at: http://www.mobilenetworks.org/nemo/drafts/draft-thubert-nemo-ipv4-traversal-01.txt

I guess the next round would have been around compressing the IPv6 tunnel header to save bandwidth, which is doable using well known techniques.

Pascal

> -----Original Message-----
> From: Tim Chown [mailto:[email-masked]]
> Sent: mercredi 4 août 2004 08:30
> To: Pascal Thubert (pthubert)
> Cc: Thierry Ernst; nemo; Pekka Savola
> Subject: Re: [nemo] NAT/PAT transfersal over IPv4 networks
> 
> I think NAT is a consideration for the assisted tunneling requirements
> analysis that is happening in v6ops.   Have you read that?
> http://www.ietf.org/internet-drafts/draft-ietf-v6ops-assisted-tunneling-requirements-00.txt
> 
> It is NAT-PT that is pushed to the "last resort" status in v6ops (there is
> a new push to write up why in an applicability statement, agreed this week).
> 
> I can't find any active  reference to "doors" - could you provide a pointer?
> Looks like nemo should be talking to v6ops here :)
> 
> thanks,
> tim
> 
> On Wed, Aug 04, 2004 at 07:23:19AM +0200, Pascal Thubert (pthubert) wrote:
> > Well, as I understand the work being done at the MIP6 or v6Ops, Doors is not considered
> because of IPR. On the other hand, since the IPR encumbering is the basically same as that of
> nemo basic support, doors should be acceptable within Nemo. So there IS something that is
> Nemo specific after all.
> >
> > There was a discussion in Seoul about NAT traversal (I asked Hesham over the mike) -
> correct me if I'm wrong - they are not covering NAT in the current ipv4/IPv6 interoperability
> solutions. So we end up with in one hand a non standard thing (doors) that has now been
> thoroughly tested and goes though all sorts of NAT including reverse and symmetrical, or in
> the other end the beginning of what may be a MIP remake of v6ops transition story.
> >
> > Could we just standardize doors so we can deliver something efficient to our customers? And
> then if alternates pop up, they'll have to prove they are better in that space.
> >
> > Pascal
> >
> >
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]] On Behalf Of Thierry Ernst
> > > Sent: mercredi 4 août 2004 01:41
> > > To: nemo
> > > Subject: Re: [nemo] NAT/PAT transfersal over IPv4 networks
> > >
> > >
> > > Hi Will,
> > >
> > > Actually, the draft-iett-nemo-requirements mention NAT traversal and
> > > IPv4-IPv6 transitin, so that is something we do care about. This said,
> > > we concluded last year that there wasn't NEMO-specific issues. If there
> > > is one, I think the WG should defintely address it. If these are issues
> > > not specific to NEMO, we need to make sure these issues are addressed by
> > > the relefvant WG.
> > >
> > > In any case, I agree with your statement.
> > >
> > > Thierry.
> > >
> > >
> > >
> > >
> > > On Tue, 03 Aug 2004 18:21:37 -0400
> > > ivancic <[email-masked]> wrote:
> > >
> > > > Thierry and/or TJ asked if there was additional work that NEMO should
> > > > address prior to closing or rechartering.
> > > >
> > > > I strongly believe that the group should standardize on a NAT/PAT
> > > > transversal over IPv4 backbones.   This will greatly increase the
> > > > ability to deploy NEMO IPv6 networks.  The US DoD, Japan, Korea, the
> > > > European Nations and just about any Industrial nations is trying to help
> > > > kick-start IPv6 deployments.  However, the ISP's and industry do not yet
> > > > have a good business case.  Making the transission easier will help ALL
> > > > of IPv6 deployments.   I used some of Pascal's IPv6  NEMO code with the
> > > > "Doors" protocol and demonstrated this to the CIO of the US DoD.  The
> > > > ability to run IPv6 over IPv4 and mix networks was very very important.
> > > >
> > > > See:
> > > > http://roland.grc.nasa.gov/~ivancic/ICNS2004_Demo/ICNS2004_Demo.htm
> > > > Note, the "off-site demonstrations in Washington D.C. area" was for the
> > > > Office of Secretary of Defense in order to show a migration path from
> > > > IPv4 to IPv6.
> > > >
> > > >
> > > > Will
> > > >
> > > > --
> > > > ******************************
> > > > William D. Ivancic
> > > > Phone 216-433-3494
> > > > Fax  216-433-8705
> > > > Lab  216-433-2620
> > > > Mobile  440-503-4892
> > > > http://roland.grc.nas.gov/~ivancic
> > > >
> > > >
> > > >
> > >
> >
> >